# Unit tracer

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

`Tracer` - Trace stack for debugging method calls.

## Overview

### Functions and Procedures

`procedure init;`
`procedure push_trace(t_name : pchar);`
`procedure pop_trace;`
`function get_last_trace : pchar;`
`procedure freeze;`
`function get_trace_count : uint32;`
`function get_trace_N(idx : uint32) : pchar;`

## Description

### Functions and Procedures

`procedure init;`

`procedure push_trace(t_name : pchar);`

`procedure pop_trace;`

`function get_last_trace : pchar;`

`procedure freeze;`

`function get_trace_count : uint32;`

`function get_trace_N(idx : uint32) : pchar;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.